# Mint Additional Supply of ERC1155

### Mint additional supply

## Mints additional supply of an existent NFT

<mark style="color:green;">`POST`</mark> `https://api.alturanft.com/api/v2/item/mint`

Takes an item's collection address, tokenId, amount to mint, address to mint to (to) and your API key and mints additional supply of the specified NFT to the specified address.&#x20;

Only works if the circulating supply is less than the maximum supply

#### Query Parameters

| Name                                     | Type   | Description  |
| ---------------------------------------- | ------ | ------------ |
| apiKey<mark style="color:red;">\*</mark> | String | Your API key |

#### Request Body

| Name                                      | Type    | Description                                                                                                                                                                                                |
| ----------------------------------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| address<mark style="color:red;">\*</mark> | String  | The item's collection address                                                                                                                                                                              |
| tokenId<mark style="color:red;">\*</mark> | Integer | The item's tokenId                                                                                                                                                                                         |
| amount<mark style="color:red;">\*</mark>  | Integer | The amount of additional supply you want to mint                                                                                                                                                           |
| to<mark style="color:red;">\*</mark>      | String  | <p>The address you want to mint the additional supply to</p><p></p><p>You do not need to mint the additional supply to your own wallet, instead, you can mint them to someone else's wallet right away</p> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Only works if the circulating supply is less than the maximum supply
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/developer-wallet-endpoints/mint-additional-supply-of-erc1155.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
